---
inputType: "CA10__CaAwsRedshiftCluster__c"
importExtracts:
  - file: "/types/CA10__CaAwsRedshiftCluster__c/object.extracts.yaml"
testData:
  - file: "test-data.json"
conditions:
  - status: "INAPPLICABLE"
    currentStateMessage: "The Cluster is not available."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10__status__c"
        right:
          TEXT: "available"
  - status: "COMPLIANT"
    currentStateMessage: "Automated backups are enabled for the Cluster."
    check:
      GREATER_THAN:
        left:
          EXTRACT: "CA10__automatedSnapshotRetentionPeriod__c"
        right:
          NUMBER: 0.0
otherwise:
  status: "INCOMPLIANT"
  currentStateMessage: "Automated backups are not enabled for the Cluster."
  remediationMessage: "Enable automated backups for the Cluster."